package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.RecordOutStore;

/**
 * 出库记录Service接口
 * 
 * @author Yinq
 * @date 2023-09-21
 */
public interface IRecordOutStoreService 
{
    /**
     * 查询出库记录
     * 
     * @param objId 出库记录主键
     * @return 出库记录
     */
    public RecordOutStore selectRecordOutStoreByObjId(Long objId);

    /**
     * 查询出库记录列表
     * 
     * @param recordOutStore 出库记录
     * @return 出库记录集合
     */
    public List<RecordOutStore> selectRecordOutStoreList(RecordOutStore recordOutStore);

    /**
     * 新增出库记录
     * 
     * @param recordOutStore 出库记录
     * @return 结果
     */
    public int insertRecordOutStore(RecordOutStore recordOutStore);

    /**
     * 修改出库记录
     * 
     * @param recordOutStore 出库记录
     * @return 结果
     */
    public int updateRecordOutStore(RecordOutStore recordOutStore);

    /**
     * 批量删除出库记录
     * 
     * @param objIds 需要删除的出库记录主键集合
     * @return 结果
     */
    public int deleteRecordOutStoreByObjIds(Long[] objIds);

    /**
     * 删除出库记录信息
     * 
     * @param objId 出库记录主键
     * @return 结果
     */
    public int deleteRecordOutStoreByObjId(Long objId);
}
